image: atlassianlabs/docker-node-jdk-chrome-firefox

# Cache modules in between jobs
cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - node_modules/

before_script:
  - npm install
#
#build & teat & deploy:
#  only:
#    - master
#  script:
#    - npm install
#    - npm install -g @angular/cli
#    - ng test --watch=false --browsers ChromeHeadless
#    - npm install -g firebase-tools
#    - ng build --prod
#    - firebase deploy --token "$FIREBASE_DEPLOY_KEY"

build & deploy:
  only:
    - master
  script:
    - npm install
    - npm install -g @angular/cli
    - npm install -g firebase-tools
    - ng build --prod
    - firebase deploy --token "$FIREBASE_DEPLOY_KEY"
